Subject: Re: bug#20231: 25.0.50; package.el mangles non-ascii content in downloaded archive-contents data

From: Ivan Shmakov <[email-masked]>
Date: Sat, 11 Apr 2015 19:30:21 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:

[…]

 >> As insert-file-contents may imply a whole lot of additional
 >> processing beyond decoding UTF-8, I’d rather use an explicit
 >> decode-coding-region here

 > Can you explain why?  What additional processing can get in the way?

	One of the examples I can readily think of is enriched-decode,
	which will automatically be called should there be a
	‘Content-Type: text/enriched’ line near the top of the file
	being read (per format-alist.)

	I have no example at hand of how such processing may be
	triggered in practice, but avoiding it altogether seems to me
	like a saner approach.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A